> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Elastic IP

> Creates a new Elastic IP and assigns it to the specified server. The IP is provisioned asynchronously—the response will show status `configuring` and the `id` will be `null` until provisioning completes.

**Note:** This feature requires the `elastic_ips` feature flag to be enabled for your team. Currently only IPv4 /32 addresses in routed mode are supported.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /elastic_ips
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /elastic_ips:
    post:
      tags:
        - Elastic Ips
      summary: Create an Elastic IP
      description: >
        Creates a new Elastic IP and assigns it to the specified server. The IP
        is provisioned asynchronously—the response will show status
        `configuring` and the `id` will be `null` until provisioning completes.


        **Note:** This feature requires the `elastic_ips` feature flag to be
        enabled for your team. Currently only IPv4 /32 addresses in routed mode
        are supported.
      operationId: create-elastic-ip
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/create_elastic_ip'
            examples:
              Create:
                summary: Create an Elastic IP
                value:
                  data:
                    type: elastic_ips
                    attributes:
                      project_id: proj_AoW6vRnwkvLn0
                      server_id: sv_2GmAlJ6BXlK1a
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/create_elastic_ip'
            examples:
              Create:
                summary: Create an Elastic IP
                value:
                  data:
                    type: elastic_ips
                    attributes:
                      project_id: proj_AoW6vRnwkvLn0
                      server_id: sv_2GmAlJ6BXlK1a
        required: true
      responses:
        '202':
          description: Accepted
          content:
            application/vnd.api+json:
              examples:
                Accepted:
                  value:
                    data:
                      id: null
                      type: elastic_ips
                      attributes:
                        address: 177.54.156.7
                        status: configuring
                        project:
                          id: proj_AoW6vRnwkvLn0
                          name: My Project
                          slug: my-project
              schema:
                $ref: '#/components/schemas/elastic_ip'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: FEATURE_NOT_ENABLED
                        message: Elastic IPs is not enabled for this team
              schema:
                $ref: '#/components/schemas/error_object'
        '422':
          description: Unprocessable Entity
          content:
            application/vnd.api+json:
              examples:
                ServerNotInProject:
                  value:
                    errors:
                      - code: SERVER_NOT_IN_PROJECT
                        message: Server must belong to the specified project
                IpAllocationFailed:
                  value:
                    errors:
                      - code: IP_ALLOCATION_FAILED
                        message: Failed to allocate IP address
                SiteNotSupported:
                  value:
                    errors:
                      - code: SITE_NOT_SUPPORTED
                        title: Site Not Supported
                        status: '422'
                        detail: Elastic IPs are not available for site SAO
                ServerNetworkIncompatible:
                  value:
                    errors:
                      - code: SERVER_NETWORK_INCOMPATIBLE
                        title: Server Network Incompatible
                        status: '422'
                        detail: >-
                          Your server has outdated network configuration and we
                          cannot enable elastic IP for it. Please reach out to
                          support
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.elastic_ips.create_elastic_ip(data={
                    "type": latitudesh_python_sdk.CreateElasticIPType.ELASTIC_IPS,
                    "attributes": {
                        "project_id": "proj_AoW6vRnwkvLn0",
                        "server_id": "sv_2GmAlJ6BXlK1a",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ElasticIps.CreateElasticIP(ctx, components.CreateElasticIP{\n        Data: components.CreateElasticIPData{\n            Type: components.CreateElasticIPTypeElasticIps,\n            Attributes: components.CreateElasticIPAttributes{\n                ProjectID: \"proj_AoW6vRnwkvLn0\",\n                ServerID: \"sv_2GmAlJ6BXlK1a\",\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ElasticIP != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.elasticIps.createElasticIp({
                data: {
                  type: "elastic_ips",
                  attributes: {
                    projectId: "proj_AoW6vRnwkvLn0",
                    serverId: "sv_2GmAlJ6BXlK1a",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    create_elastic_ip:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              enum:
                - elastic_ips
            attributes:
              type: object
              properties:
                project_id:
                  type: string
                  description: The project ID or slug
                server_id:
                  type: string
                  description: The server ID to assign the Elastic IP to
              required:
                - project_id
                - server_id
          required:
            - type
            - attributes
      required:
        - data
    elastic_ip:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/elastic_ip_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    elastic_ip_data:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: The Elastic IP ID. May be null during initial provisioning.
        type:
          type: string
          enum:
            - elastic_ips
        attributes:
          type: object
          properties:
            address:
              type: string
              description: The IP address
            family:
              type: string
              enum:
                - IPv4
              description: The IP address family
            prefix_length:
              type: integer
              description: The prefix length (e.g., 32 for a single IP)
            mode:
              type: string
              enum:
                - routed
              description: The routing mode for this Elastic IP
            status:
              type: string
              enum:
                - configuring
                - active
                - moving
                - releasing
                - error
              description: The current status of the Elastic IP
            created_at:
              type: string
              format: date-time
              description: The timestamp when the Elastic IP was created
            server:
              type: object
              nullable: true
              description: The server this Elastic IP is assigned to
              properties:
                id:
                  type: string
                hostname:
                  type: string
                primary_ipv4:
                  type: string
                operating_system:
                  type: string
                  nullable: true
            project:
              type: object
              description: The project this Elastic IP belongs to
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            region:
              type: object
              nullable: true
              description: The region where this Elastic IP is located
              properties:
                id:
                  type: string
                  description: The region ID
                name:
                  type: string
                  description: The region name
                location:
                  type: object
                  description: The site/location within the region
                  properties:
                    id:
                      type: string
                      description: The site ID
                    name:
                      type: string
                      description: The site name
                    slug:
                      type: string
                      description: The site slug
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````